# Form implementation generated from reading ui file 'src/eric7/Cooperation/ChatWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ChatWidget(object):
    def setupUi(self, ChatWidget):
        ChatWidget.setObjectName("ChatWidget")
        ChatWidget.resize(300, 600)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(ChatWidget)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.usersGroup = QtWidgets.QGroupBox(parent=ChatWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.usersGroup.sizePolicy().hasHeightForWidth())
        self.usersGroup.setSizePolicy(sizePolicy)
        self.usersGroup.setObjectName("usersGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.usersGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.usersList = QtWidgets.QListWidget(parent=self.usersGroup)
        self.usersList.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.usersList.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.usersList.setObjectName("usersList")
        self.verticalLayout.addWidget(self.usersList)
        self.verticalLayout_2.addWidget(self.usersGroup)
        self.chatGroup = QtWidgets.QGroupBox(parent=ChatWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.chatGroup.sizePolicy().hasHeightForWidth())
        self.chatGroup.setSizePolicy(sizePolicy)
        self.chatGroup.setObjectName("chatGroup")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.chatGroup)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.chatEdit = QtWidgets.QTextEdit(parent=self.chatGroup)
        self.chatEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.chatEdit.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.chatEdit.setReadOnly(True)
        self.chatEdit.setObjectName("chatEdit")
        self.verticalLayout_4.addWidget(self.chatEdit)
        self.messageEdit = QtWidgets.QLineEdit(parent=self.chatGroup)
        self.messageEdit.setClearButtonEnabled(True)
        self.messageEdit.setObjectName("messageEdit")
        self.verticalLayout_4.addWidget(self.messageEdit)
        self.sendButton = QtWidgets.QPushButton(parent=self.chatGroup)
        self.sendButton.setObjectName("sendButton")
        self.verticalLayout_4.addWidget(self.sendButton)
        self.verticalLayout_2.addWidget(self.chatGroup)
        self.sharingGroup = QtWidgets.QGroupBox(parent=ChatWidget)
        self.sharingGroup.setEnabled(False)
        self.sharingGroup.setObjectName("sharingGroup")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.sharingGroup)
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(76, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.shareButton = QtWidgets.QToolButton(parent=self.sharingGroup)
        self.shareButton.setEnabled(False)
        self.shareButton.setCheckable(True)
        self.shareButton.setObjectName("shareButton")
        self.horizontalLayout.addWidget(self.shareButton)
        self.startEditButton = QtWidgets.QToolButton(parent=self.sharingGroup)
        self.startEditButton.setEnabled(False)
        self.startEditButton.setCheckable(True)
        self.startEditButton.setObjectName("startEditButton")
        self.horizontalLayout.addWidget(self.startEditButton)
        self.sendEditButton = QtWidgets.QToolButton(parent=self.sharingGroup)
        self.sendEditButton.setEnabled(False)
        self.sendEditButton.setObjectName("sendEditButton")
        self.horizontalLayout.addWidget(self.sendEditButton)
        self.cancelEditButton = QtWidgets.QToolButton(parent=self.sharingGroup)
        self.cancelEditButton.setEnabled(False)
        self.cancelEditButton.setObjectName("cancelEditButton")
        self.horizontalLayout.addWidget(self.cancelEditButton)
        spacerItem1 = QtWidgets.QSpacerItem(75, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.verticalLayout_2.addWidget(self.sharingGroup)
        self.connectGroup = QtWidgets.QGroupBox(parent=ChatWidget)
        self.connectGroup.setObjectName("connectGroup")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.connectGroup)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_2 = QtWidgets.QLabel(parent=self.connectGroup)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_3.addWidget(self.label_2)
        self.hostEdit = QtWidgets.QComboBox(parent=self.connectGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.hostEdit.sizePolicy().hasHeightForWidth())
        self.hostEdit.setSizePolicy(sizePolicy)
        self.hostEdit.setEditable(True)
        self.hostEdit.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.hostEdit.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToContents)
        self.hostEdit.setObjectName("hostEdit")
        self.horizontalLayout_3.addWidget(self.hostEdit)
        self.verticalLayout_3.addLayout(self.horizontalLayout_3)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.clearHostsButton = QtWidgets.QPushButton(parent=self.connectGroup)
        self.clearHostsButton.setObjectName("clearHostsButton")
        self.horizontalLayout_4.addWidget(self.clearHostsButton)
        self.connectButton = QtWidgets.QPushButton(parent=self.connectGroup)
        self.connectButton.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.connectButton.sizePolicy().hasHeightForWidth())
        self.connectButton.setSizePolicy(sizePolicy)
        self.connectButton.setText("")
        self.connectButton.setAutoDefault(False)
        self.connectButton.setObjectName("connectButton")
        self.horizontalLayout_4.addWidget(self.connectButton)
        self.connectionLed = EricLed(parent=self.connectGroup)
        self.connectionLed.setObjectName("connectionLed")
        self.horizontalLayout_4.addWidget(self.connectionLed)
        self.verticalLayout_3.addLayout(self.horizontalLayout_4)
        self.verticalLayout_2.addWidget(self.connectGroup)
        self.serverGroup = QtWidgets.QGroupBox(parent=ChatWidget)
        self.serverGroup.setObjectName("serverGroup")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.serverGroup)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_4 = QtWidgets.QLabel(parent=self.serverGroup)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout_2.addWidget(self.label_4)
        self.serverPortSpin = QtWidgets.QSpinBox(parent=self.serverGroup)
        self.serverPortSpin.setMinimum(1025)
        self.serverPortSpin.setMaximum(65535)
        self.serverPortSpin.setSingleStep(1)
        self.serverPortSpin.setProperty("value", 42000)
        self.serverPortSpin.setObjectName("serverPortSpin")
        self.horizontalLayout_2.addWidget(self.serverPortSpin)
        self.serverButton = QtWidgets.QPushButton(parent=self.serverGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.serverButton.sizePolicy().hasHeightForWidth())
        self.serverButton.setSizePolicy(sizePolicy)
        self.serverButton.setText("")
        self.serverButton.setAutoDefault(False)
        self.serverButton.setObjectName("serverButton")
        self.horizontalLayout_2.addWidget(self.serverButton)
        self.serverLed = EricLed(parent=self.serverGroup)
        self.serverLed.setObjectName("serverLed")
        self.horizontalLayout_2.addWidget(self.serverLed)
        self.verticalLayout_2.addWidget(self.serverGroup)

        self.retranslateUi(ChatWidget)
        QtCore.QMetaObject.connectSlotsByName(ChatWidget)
        ChatWidget.setTabOrder(self.serverButton, self.serverPortSpin)
        ChatWidget.setTabOrder(self.serverPortSpin, self.hostEdit)
        ChatWidget.setTabOrder(self.hostEdit, self.connectButton)
        ChatWidget.setTabOrder(self.connectButton, self.clearHostsButton)
        ChatWidget.setTabOrder(self.clearHostsButton, self.shareButton)
        ChatWidget.setTabOrder(self.shareButton, self.startEditButton)
        ChatWidget.setTabOrder(self.startEditButton, self.sendEditButton)
        ChatWidget.setTabOrder(self.sendEditButton, self.cancelEditButton)
        ChatWidget.setTabOrder(self.cancelEditButton, self.messageEdit)
        ChatWidget.setTabOrder(self.messageEdit, self.sendButton)

    def retranslateUi(self, ChatWidget):
        _translate = QtCore.QCoreApplication.translate
        ChatWidget.setWindowTitle(_translate("ChatWidget", "Chat"))
        self.usersGroup.setTitle(_translate("ChatWidget", "Users"))
        self.chatGroup.setTitle(_translate("ChatWidget", "Chat"))
        self.messageEdit.setToolTip(_translate("ChatWidget", "Enter the text to send"))
        self.sendButton.setToolTip(_translate("ChatWidget", "Press to send the text above"))
        self.sendButton.setText(_translate("ChatWidget", "Send"))
        self.sharingGroup.setTitle(_translate("ChatWidget", "Share Editor"))
        self.shareButton.setToolTip(_translate("ChatWidget", "Press to toggle the shared status of the current editor"))
        self.startEditButton.setToolTip(_translate("ChatWidget", "Press to start a shared edit"))
        self.sendEditButton.setToolTip(_translate("ChatWidget", "Press to end the edit and send the changes"))
        self.cancelEditButton.setToolTip(_translate("ChatWidget", "Press to cancel the shared edit"))
        self.connectGroup.setTitle(_translate("ChatWidget", "Connection"))
        self.label_2.setText(_translate("ChatWidget", "Host:"))
        self.hostEdit.setToolTip(_translate("ChatWidget", "Enter the host and port to connect to in the form \"host@port\""))
        self.clearHostsButton.setToolTip(_translate("ChatWidget", "Press to clear the hosts list"))
        self.clearHostsButton.setText(_translate("ChatWidget", "Clear"))
        self.connectionLed.setToolTip(_translate("ChatWidget", "Shows the connection status"))
        self.serverGroup.setTitle(_translate("ChatWidget", "Server"))
        self.label_4.setText(_translate("ChatWidget", "Port:"))
        self.serverPortSpin.setToolTip(_translate("ChatWidget", "Enter the server port"))
        self.serverLed.setToolTip(_translate("ChatWidget", "Shows the status of the server"))
from eric7.EricWidgets.EricLed import EricLed
